FeedsPosts

List posts by creator

GET/posts/v1/projects/{projectId}/feeds/{feedId}/posts/creators/{creatorId}

List posts in a feed authored by a specific creator

X-API-Key<token>

In: header

Path Parameters

projectId*string

Project ID

feedId*string

Feed ID

creatorId*string

Creator ID

Query Parameters

limit?integer

Page size

offset?integer

Page offset

Response Body

200application/json

OK

type: object

posts?array<object>
created_at?string
creator_id?string
description?string
feed_id?string
id?string
image_id?string
type?string
video_id?string
total?integer
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Not Found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string"
fetch("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/creators/string");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "posts": [
    {
      "created_at": "string",
      "creator_id": "string",
      "description": "string",
      "feed_id": "string",
      "id": "string",
      "image_id": "string",
      "type": "string",
      "video_id": "string"
    }
  ],
  "total": 0
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Not Found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Not Found"
}